---
updatedAt: 2026-06-26T09:04:59.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# Introduction to Preapproval API

Preapproval is YouLend's most seamless customer journey, it can be offered by partners as either the only solution available to their merchants - or alongside a prequalified journey. For more information on prequalification vs preapproval please contact us.

The Preapproval API allows YouLend partners to generate funding offers in real time for your merchants, based on their anonymised payment data.

Based on this payment data, YouLend can generate firm offers which are subject to credit and KYC checks.

The preapproval API can also return prequalified offers for merchants not eligible for preapproval. This is done by setting `requestPreQualification` to true, and the offers are returned in the `preQualificationOffersModel` . Because these offers are calculated using our latest and greatest credit models, we recommend using the preapproval API even for partners that have not implemented a preapproval flow.

# Overview

The typical flow using this journey is as follows:

## 1. Partner regularly sends anonymised sales data

Submit anonymised payment data for all eligible merchants to YouLend via the [Generate preapproved offers](https://docs.youlend.com/reference/post_preapproval-offers) endpoint. The sales data should be aggregated daily, see below for an example request.

<Callout icon="📘" theme="info">
  ### Good to know

  Offers are valid for 30 days and we suggest requesting fresh offers for a preapproved merchant every 30 days. You can retry more often for merchants that do not have an existing preapproval, most partners choose weekly or fortnightly
</Callout>

### Request example snippet

```json
{
	"thirdPartyCustomerId": "1235-ASC-341",
	"companyType": "SoleTrader",
	"merchantMcc": "1234825",
	"countryISOCode": "GBR",
	"variableFactorRate": true,
	"regularIncrementTypeForOfferGrid": "LoanAmount",
	"paymentData": [
    {
        "date": "2024-02-10T16:16:51.154Z",
        "amount": 1989,
        "paymentType": "Settlement",
        "currencyISOCode": "GBP"
    },
    {
        "date": "2024-02-11T16:16:51.154Z",
        "amount": 1810,
        "paymentType": "Settlement",
        "currencyISOCode": "GBP"
    },
    {
        "date": "2024-02-12T16:16:51.154Z",
        "amount": 1352,
        "paymentType": "Settlement",
        "currencyISOCode": "GBP"
    }
  ]
}  
```

<Callout icon="👍" theme="okay">
  ### Best practice

  Make sure you pass through >6 months of payment data and >1 transaction in the past week in order to pass the `paymentDataValidation`
</Callout>

## 2. YouLend return offers in the API

If the merchant is eligible for Preapproval, YouLend will use their credit risk model to provide offers for merchants, these offers will be returned in the response via the same [Generate preapproved offers](https://docs.youlend.com/reference/post_preapproval-offers) endpoint.

### Response example snippet (offers provided)

```json
{
    "merchantIsEligibleForPreApproval": true,
    "paymentDataValidationResponse": {
        "paymentDataValidationSuccessful": true,
        "paymentDataValidationsRulesNotMet": []
    },
    "renewalsValidationResponse": null,
    "preApprovedOffersModel": {
        "thirdPartyCustomerId": "1235-ASC-341",
        "preApprovalId": "f590c011-e5b3-4d7d-851a-7f09183c4dec",
        "interval": 500,
        "regularIncrementTypeForOfferGrid": "LoanAmount",
        "offers": [
            {
                "offerId": "3dd3ea35-4e1a-4240-a260-3e9bde015c85",
                "fundedAmount": 1000,
                "originalAmount": 1135,
                "currencyISOCode": null,
                "factorRate": 1.134,
                "sweep": 0.5,
                "daysUntilRepayment": 174,
                "daysUntilMaturity": 261,
                "expirationDate": "2025-02-13T00:00:00Z"
            },
            {
                "offerId": "683a3f1d-55a2-4867-a6ad-89e2ef7206f9",
                "fundedAmount": 1000,
                "originalAmount": 1145,
                "currencyISOCode": null,
                "factorRate": 1.144,
                "sweep": 0.5,
                "daysUntilRepayment": 175,
                "daysUntilMaturity": 262,
                "expirationDate": "2025-02-13T00:00:00Z"
            }
          ]
    }
```

<Callout icon="📘" theme="info">
  ### Good to know

  1. The response will include a `preApprovalId`which needs to be included in the `POST` request to the [Create a lead ](https://docs.youlend.com/reference/post_leads)endpoint in order to link the Preapproved offer to the merchant application
  2. These offers are valid for 30 days
  3. Some merchants won't be preapproved - depending on your solution, YouLend can return prequalified offers in a `preQualificationOffersModel` for merchants which are eligible. Visit [Introduction to Onboarding](https://docs.youlend.com/reference/onboarding-intro) to learn more about the application process for Prequalified merchants
</Callout>

## 3. Partner present these firm offers to merchant

Partners present these offers via their usual marketing channels - typically in their in their website and apps as well as in marketing emails.

<Callout icon="👋" theme="default">
  ### Get in touch

  Please reach out for best practices of how to present these offers to your customer base
</Callout>

## 4. Merchant chooses an offer, application is created via API

Once the merchant chooses an offer in your UI. Send a `POST` request to the [Create a lead ](https://docs.youlend.com/reference/post_leads) endpoint including the `preApprovalId` found in the response to the Preapproval request.

The partner will also need to provide all relevant business and significant persons data in order for YouLend to complete automated bureau and KYC checks to confirm the offer.

Finally, you can inform YouLend that a merchant has accepted an offer by sending a `POST` request to our [Accept a loan offer](https://docs.youlend.com/reference/post_leads-leadid-offers-offerid-acceptance) endpoint. After this endpoint has been called, YouLend will generate a contract for the merchant to sign (typically within seconds).

### Relevant endpoints

| Endpoint                                                                                                          | Description                                                                                                                                                                                                                                                                                                                                                                         |
| :---------------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Create a lead](https://docs.youlend.com/reference/post_leads)                                                    | Send basic business data to YouLend so underwriting can be completed. The `preApprovalId` will need to be provided in this in request as an additional parameter.                                                                                                                                                                                                                   |
| [Update significant persons ](https://docs.youlend.com/reference/put_leads-leadid-significantpersons)             | Submit significant persons details to receive offers subject to KYC.                                                                                                                                                                                                                                                                                                                |
| [Submit account information ](https://docs.youlend.com/reference/post_leads-leadid-accountinfo)                   | Partners can use this endpoint to submit merchant bank account details directly to YouLend. This is the account that YouLend will fund to.                                                                                                                                                                                                                                          |
| [Submit stage 1 of the onboarding process](https://docs.youlend.com/reference/post_leads-leadid-submitonboarding) | Once the business information is gathered, the lead can be submitted to YouLend using this endpoint.                                                                                                                                                                                                                                                                                |
| [Accept a loan offer](https://docs.youlend.com/reference/post_leads-leadid-offers-offerid-acceptance)             | You can inform YouLend that an offer has been accepted via this endpoint. There will be a unique`offerId` associated with every offer returned in the [Generate preapproved offers](https://docs.youlend.com/reference/post_preapproval-offers) endpoint. Please note that offers are valid for 30 days. YouLend will generate an electronic contract once this endpoint is called. |

## 5. Merchant signs contract

Partners can choose to embed the contract signing phase within their UI via the [instant signing](https://docs.youlend.com/reference/post_leads-leadid-clicksigndocuments) endpoint, or rely on YouLend to send contracts to the merchant email addresses via Docusign.

<Callout icon="📘" theme="info">
  ### Good to know

  Instant signing is only supported in certain geographies, please speak to your implementation manager about what is available for your solution. Below is an indicative example
</Callout>

### i) Instant signing (clicksign) flow

<Callout icon="👍" theme="okay">
  ### Best practice

  This is the recommended option for a seamless signing journey (UX)
</Callout>

Enable merchants to review the contract associated with YouLend's offer, and to sign it. There are two endpoints associated with this step:

1. [Retrieve the documents to sign for the lead](https://docs.youlend.com/reference/get_leads-leadid-documentstosign)

The response will include the financial documents ("contracts") that YouLend require the merchant to sign before financing the merchant.

### Example `200` response

```json
[  
    {  
        "id": "93c43433-d749-4c05-804a-c67462dc003e",  
        "name": "Test Name TA Test Company Limited - Receivables Purchase Agreement.pdf",  
        "document": "JVBERi0xLjQKJdPr6eEKMSAwIG9iago8PC9DcmVhdGlvbkRhdGUgKEQ6MjA",  
        "documentType": "Loan Agreement"  
    }  
]
```

2. [Sign documents via 'instant signing'](https://docs.youlend.com/reference/post_leads-leadid-clicksigndocuments)

Send a request to this endpoint to inform YouLend that the merchant has signed the contract within your own UI.

<Callout icon="🚧" theme="warn">
  ### Be aware

  Using this endpoint requires approval from YouLend. There are certain requirements you'll need to meet for (a) how the signing flow is presented to the user, (b) how you manage logins and permissions, and (c) what YouLend require to be passed as the verificationId

  In some geographies and scenarios more than one document needs to be signed - these are done via the same endpoint
</Callout>

<Callout icon="👋" theme="default">
  ### Please get in touch

  If you would to learn more about who can sign a Loan Agreement, please get in touch via your implementation manager, or via [partnershipmanagement@youlend.com](mailto:partnershipmanagement@youlend.com)
</Callout>

### ii) Docusign flow

If the merchant is not eligible for instant signing, YouLend will instead send a contract via to the merchant to review and sign. This process is handled completely by YouLend, and requires no technical work from the partner. This ca

<Callout icon="👍" theme="okay">
  ### Best practice

  We recommend subscribing to the Contract sent ONB10038 and Contract signed ONB10022 webhook event codes to keep track of what steps the merchant has completed. See our webhook events guide to learn more about this
</Callout>

Once the contract has been signed, the partner will need to send a `POST` call to the [partner funding approval endpoint](https://docs.youlend.com/reference/post_leads-leadid-approvefunding), to notify YouLend that you have approved funding for this lead.

## 6. YouLend confirm credit decisioning and fund merchant

The merchant will now undergo credit and KYC checks with YouLend. In edge cases, application pushbacks can occur which you can learn more about [here](https://docs.youlend.com/reference/pushbacks-guide).

Once the merchant has been approved, the funding will be sent to the details provided in the [Submit account information](https://docs.youlend.com/reference/post_leads-leadid-accountinfo) endpoint, provided [here](https://docs.youlend.com/reference/introduction-to-onboarding-copy-1#relevant-endpoints).

For the next steps in the preapproval flow, we'd recommend viewing our [Split at source](https://docs.youlend.com/reference/partner-manages-the-sweep-and-use-one-payment-per-merchant) repayments guide.